* [PATCH] scripts/mkcompile_h: kill output in silent mode
@ 2008-11-06 8:31 Mike Frysinger
2008-11-21 20:58 ` Sam Ravnborg
0 siblings, 1 reply; 2+ messages in thread
From: Mike Frysinger @ 2008-11-06 8:31 UTC (permalink / raw)
To: Sam Ravnborg; +Cc: linux-kernel, linux-kbuild
The mkcompile_h script does `echo` regardless of silent mode the make is
running at, so have it respect $quiet from kbuild and only echo when not in
silent mode.
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
scripts/mkcompile_h | 6 ++++--
1 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/scripts/mkcompile_h b/scripts/mkcompile_h
index a8740df..6a12dd9 100755
--- a/scripts/mkcompile_h
+++ b/scripts/mkcompile_h
@@ -4,6 +4,8 @@ SMP=$3
PREEMPT=$4
CC=$5
+vecho() { [ "${quiet}" = "silent_" ] || echo "$@" ; }
+
# If compile.h exists already and we don't own autoconf.h
# (i.e. we're not the same user who did make *config), don't
# modify compile.h
@@ -11,7 +13,7 @@ CC=$5
# do "compiled by root"
if [ -r $TARGET -a ! -O include/linux/autoconf.h ]; then
- echo " SKIPPED $TARGET"
+ vecho " SKIPPED $TARGET"
exit 0
fi
@@ -89,7 +91,7 @@ if [ -r $TARGET ] && \
cmp -s .tmpver.1 .tmpver.2; then
rm -f .tmpcompile
else
- echo " UPD $TARGET"
+ vecho " UPD $TARGET"
mv -f .tmpcompile $TARGET
fi
rm -f .tmpver.1 .tmpver.2
--
1.6.0.3
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [PATCH] scripts/mkcompile_h: kill output in silent mode
2008-11-06 8:31 [PATCH] scripts/mkcompile_h: kill output in silent mode Mike Frysinger
@ 2008-11-21 20:58 ` Sam Ravnborg
0 siblings, 0 replies; 2+ messages in thread
From: Sam Ravnborg @ 2008-11-21 20:58 UTC (permalink / raw)
To: Mike Frysinger; +Cc: linux-kernel, linux-kbuild
On Thu, Nov 06, 2008 at 03:31:22AM -0500, Mike Frysinger wrote:
> The mkcompile_h script does `echo` regardless of silent mode the make is
> running at, so have it respect $quiet from kbuild and only echo when not in
> silent mode.
>
> Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Applied.
Sam
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2008-11-21 20:59 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2008-11-06 8:31 [PATCH] scripts/mkcompile_h: kill output in silent mode Mike Frysinger
2008-11-21 20:58 ` Sam Ravnborg
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®